Bug 972548 - Can't do clean update of mate desktop
Summary: Can't do clean update of mate desktop
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-desktop (Show other bugs)
(Show other bugs)
Version: 18
Hardware: i686 Linux
unspecified
high
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-10 03:40 UTC by pgaltieri
Modified: 2013-06-12 02:35 UTC (History)
4 users (show)

Fixed In Version: mate-desktop-1.6.1-7.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-12 02:35:26 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
list of packages being updated (6.51 KB, text/plain)
2013-06-10 03:40 UTC, pgaltieri
no flags Details
Result of yum -y update (16.60 KB, text/plain)
2013-06-10 03:40 UTC, pgaltieri
no flags Details

Description pgaltieri 2013-06-10 03:40:04 UTC
Created attachment 759019 [details]
list of packages being updated

Description of problem:
I did a yum -y update and several mate packages were going to get updated.  The update failed with following:

--> Processing Dependency: mate-vfs(x86-32) = 1.4.0-14.fc18 for package: mate-vfs-devel-1.4.0-14.fc18.i686
--> Processing Dependency: mate-vfs(x86-32) = 1.4.0-14.fc18 for package: mate-vfs-smb-1.4.0-14.fc18.i686
---> Package opencv-core.i686 0:2.4.5-1.fc18 will be installed
--> Finished Dependency Resolution
Error: Package: mate-vfs-smb-1.4.0-14.fc18.i686 (@fedora)
           Requires: libmateconf-2.so.4
           Removing: mate-conf-1.4.0-21.fc18.i686 (@fedora)
               libmateconf-2.so.4
           Obsoleted By: mate-desktop-1.6.1-6.fc18.i686 (updates)
               Not found
Error: Package: mate-vfs-smb-1.4.0-14.fc18.i686 (@fedora)
           Requires: libmatevfs-2.so.0
           Removing: mate-vfs-1.4.0-14.fc18.i686 (@fedora)
               libmatevfs-2.so.0
           Obsoleted By: mate-desktop-1.6.1-6.fc18.i686 (updates)
               Not found
Error: Package: mate-vfs-devel-1.4.0-14.fc18.i686 (@fedora)
           Requires: libmatevfs-2.so.0
           Removing: mate-vfs-1.4.0-14.fc18.i686 (@fedora)
               libmatevfs-2.so.0
           Obsoleted By: mate-desktop-1.6.1-6.fc18.i686 (updates)
               Not found
Error: Package: mate-vfs-smb-1.4.0-14.fc18.i686 (@fedora)
           Requires: mate-vfs(x86-32) = 1.4.0-14.fc18
           Removing: mate-vfs-1.4.0-14.fc18.i686 (@fedora)
               mate-vfs(x86-32) = 1.4.0-14.fc18
           Obsoleted By: mate-desktop-1.6.1-6.fc18.i686 (updates)
               Not found
Error: Package: mate-mime-data-devel-1.4.0-10.fc18.noarch (@fedora)
           Requires: mate-mime-data = 1.4.0-10.fc18
           Removing: mate-mime-data-1.4.0-10.fc18.noarch (@fedora)
               mate-mime-data = 1.4.0-10.fc18
           Obsoleted By: mate-desktop-1.6.1-6.fc18.i686 (updates)
               Not found
Error: Package: mate-vfs-devel-1.4.0-14.fc18.i686 (@fedora)
           Requires: mate-vfs(x86-32) = 1.4.0-14.fc18
           Removing: mate-vfs-1.4.0-14.fc18.i686 (@fedora)
               mate-vfs(x86-32) = 1.4.0-14.fc18
           Obsoleted By: mate-desktop-1.6.1-6.fc18.i686 (updates)
               Not found
Error: Package: mate-vfs-devel-1.4.0-14.fc18.i686 (@fedora)
           Requires: pkgconfig(mateconf-2.0)
           Removing: mate-conf-devel-1.4.0-21.fc18.i686 (@fedora)
               pkgconfig(mateconf-2.0) = 1.4.0
           Obsoleted By: mate-desktop-1.6.1-6.fc18.i686 (updates)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Version-Release number of selected component (if applicable):
mate-desktop-1.6.1-6.fc18.i686

How reproducible:
It fails to update

Steps to Reproduce:
1. This will likely happen only if certain packages need to be updated
2.
3.

Actual results:
Lots of errors

Expected results:
Packages installed without error

Additional info:
There are 2 attachments.  The first is the list of packages being updated or installed.  The second is the result of doing yum -y update.

Comment 1 pgaltieri 2013-06-10 03:40:50 UTC
Created attachment 759020 [details]
Result of yum -y update

Comment 2 Wolfgang Ulbrich 2013-06-10 07:30:58 UTC
We will fix this. mate-vfs and mate-mime-data is obsolete with MATE-1.6, you can savely remove this packages by hand.
yum remove mate-vfs-smb mate-vfs-devel mate-mime-data-devel
Than do yum update again.

Comment 3 Dan Mashal 2013-06-11 09:56:30 UTC
I would like to warn you that you may lose all your customizations by upgrading to 1.6. FYI

Comment 4 Fedora Update System 2013-06-11 11:11:54 UTC
mate-desktop-1.6.1-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-desktop-1.6.1-7.fc18

Comment 5 Fedora Update System 2013-06-12 02:35:26 UTC
mate-desktop-1.6.1-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.